Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::action::take_while_fn::ConceptImpl Struct Reference

## Public Member Functions
template<typename Rng , typename Fun , typename I = iterator_t<Rng>, typename S = sentinel_t<Rng>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< concepts::ForwardRange, Rng >(), concepts::model_of< concepts::ErasableRange, Rng, I, S >(), concepts::is_true(IndirectPredicate< Fun, I >